easy way to upgrade skuid for multiple orgs?

  • 2
  • Question
  • Updated 2 years ago
  • Answered
Is there a way that I can force multiple orgs to update that would be faster than logging into each org and using the release install url?
Photo of Matt Sones

Matt Sones, Champion

  • 31,478 Points 20k badge 2x thumb

Posted 3 years ago

  • 2
Photo of Zach McElrath

Zach McElrath, Employee

  • 49,056 Points 20k badge 2x thumb
You can do a deploy using the Force.com Migration Tool (or nforce-metadata or something like that) on the InstalledPackage metadata type, specifying the version of Skuid that you'd like to upgrade to. You do have to do this to each org, though, so it might be about as fast to just login via the UI. 
Photo of Matt Sones

Matt Sones, Champion

  • 31,478 Points 20k badge 2x thumb
Faster with grunt-ant-sfdc and multiple targets. :) Thanks!
Photo of Matt Sones

Matt Sones, Champion

  • 31,478 Points 20k badge 2x thumb
Zach, I'm getting this error when I attempt to deploy. What might be going wrong? The target org has skuid installed, but not the version indicated in the deployment (which is whole reason for attempting this deployment)

This is what the file looks like that I'm trying to deploy:
Photo of Matt Sones

Matt Sones, Champion

  • 31,478 Points 20k badge 2x thumb
Confirmed. I added support for installedPackages to grunt-ant-sfdc. I am now able to update to 8.6 with the raw migration tool and with grunt. But every attempt to update to 8.7 ends in Error: Package Not Found.
Photo of Zach McElrath

Zach McElrath, Employee

  • 49,056 Points 20k badge 2x thumb
I'm not sure why 8.7 cannot be found by the tool. Very strange.
Photo of Zach McElrath

Zach McElrath, Employee

  • 49,056 Points 20k badge 2x thumb
Can you try again?
Photo of Matt Sones

Matt Sones, Champion

  • 31,478 Points 20k badge 2x thumb
Just tried. Failed. Unless I need to somehow refresh something?
Photo of Zach McElrath

Zach McElrath, Employee

  • 49,056 Points 20k badge 2x thumb
Okay, good to know, we tried something on our end regarding to the package version in question and it obviously didn't help :(
Photo of Matt Sones

Matt Sones, Champion

  • 31,478 Points 20k badge 2x thumb
Looks like we can upgrade to 8.8 this way without any problems.
Photo of Matt Sones

Matt Sones, Champion

  • 31,478 Points 20k badge 2x thumb
I'm getting the Package Not Found error again when attempting to deploy 8.11.

Maybe it has something to do with odd numbered versions?